# 37. الاستعلام: الحصول على "SatelliteImages" في الفترة المحددة

الحصول على "صور\_الأقمار\_الصناعية" في الإطار الزمني المحدد (`قبل` و `بعد` التواريخ).

مرشحات `قبل` و `بعد` تنتمي إلى [تنسيق AWSDate.](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

من الممكن استخدام واحد فقط من عوامل التصفية.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    الاسم
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      الاسم
      تاريخ الإنشاء
      area(unit: HECTARES)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          acquisitionDate
          provider
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/37.-alastalam-alhswl-ala-satelliteimages-fy-alftrh-almhddh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
